System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeExpression System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent a reference to a code indexer, or non-array indexer. Use to represent a reference to array indexers.

Represents a reference to an indexer property of an object.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ParamArray
  To be added

  Initializes a new instance of the class using the specified target object and index.

  The target object.
  The index or indexes of the indexer expression.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpressionCollection To be added: an object of type 'CodeExpressionCollection'

  A can contain a that specifies a single index within the target indexer, or multiple objects that together specify a specific intersection of indexes across the dimensions of the indexer.

  Gets the collection of indexes of the indexer expression.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpression To be added: an object of type 'CodeExpression'

  This expression should indicate an object that has an indexer property.

  Gets or sets the target object that can be indexed.